package org.cytoscape.paperwing.internal;

import org.cytoscape.application.NetworkViewRenderer;
import org.cytoscape.model.CyNetwork;
import org.cytoscape.paperwing.internal.constants.GraphicsConstants;
import org.cytoscape.paperwing.internal.cytoscape.view.WindNetworkViewFactory;
import org.cytoscape.view.model.CyNetworkViewFactory;
import org.cytoscape.view.presentation.RenderingEngineFactory;

public class WindNetworkViewRenderer implements NetworkViewRenderer {

	private WindBirdsEyeRenderingEngineFactory windBirdsEyeRenderingEngineFactory;
	private WindMainRenderingEngineFactory windMainRenderingEngineFactory;
	private WindNetworkViewFactory windNetworkViewFactory;
	
	public WindNetworkViewRenderer(
			WindMainRenderingEngineFactory windMainRenderingEngineFactory,
			WindBirdsEyeRenderingEngineFactory windBirdsEyeRenderingEngineFactory,
			WindNetworkViewFactory windNetworkViewFactory) {
		
		this.windMainRenderingEngineFactory = windMainRenderingEngineFactory;
		this.windBirdsEyeRenderingEngineFactory = windBirdsEyeRenderingEngineFactory;
		this.windNetworkViewFactory = windNetworkViewFactory;
	}
	
	@Override
	public RenderingEngineFactory<CyNetwork> getRenderingEngineFactory(
			String contextId) {
		
		if (contextId.equalsIgnoreCase(BIRDS_EYE_CONTEXT)) {
			return this.windBirdsEyeRenderingEngineFactory;
		} else if (contextId.equalsIgnoreCase(DEFAULT_CONTEXT)) {
			return this.windMainRenderingEngineFactory;
		} else if (contextId.equalsIgnoreCase(VISUAL_STYLE_PREVIEW_CONTEXT)) {
			return this.windMainRenderingEngineFactory;
		}
		return null;
	}

	@Override
	public CyNetworkViewFactory getNetworkViewFactory() {

		return this.windNetworkViewFactory;
	}

	@Override
	public String getId() {
		
		return GraphicsConstants.RENDERING_ENGINE_ID;
	}

}
