package org.cytoscape.paperwing.internal.layouts;

import java.util.Set;

import org.cytoscape.model.CyNode;
import org.cytoscape.view.layout.AbstractLayoutAlgorithm;
import org.cytoscape.view.model.CyNetworkView;
import org.cytoscape.view.model.View;
import org.cytoscape.work.TaskIterator;
import org.cytoscape.work.undo.AbstractCyEdit;
import org.cytoscape.work.undo.UndoSupport;

public class BoxLayoutAlgorithm extends AbstractLayoutAlgorithm {

	public BoxLayoutAlgorithm(UndoSupport undoSupport) {
		super("box", "Box Layout", undoSupport);
	}
	
	@Override
	public TaskIterator createTaskIterator(
			CyNetworkView networkView,
			Object layoutContext, 
			Set<View<CyNode>> nodesToLayOut,
			String layoutAttribute) {
		
		return new TaskIterator(
				new BoxLayoutAlgorithmTask(
						toString(), 
						networkView,
						nodesToLayOut,
						(BoxLayoutContext) layoutContext,
						layoutAttribute,
						undoSupport
						));
	}
	
	@Override
	public BoxLayoutContext createLayoutContext() {
		return new BoxLayoutContext();
	}
}
