package org.cytoscape.paperwing.internal.layouts;

import java.util.Set;

import org.cytoscape.model.CyNode;
import org.cytoscape.view.layout.AbstractLayoutAlgorithm;
import org.cytoscape.view.model.CyNetworkView;
import org.cytoscape.view.model.View;
import org.cytoscape.work.TaskIterator;
import org.cytoscape.work.undo.UndoSupport;

public class GridLayoutAlgorithm extends AbstractLayoutAlgorithm {

	public GridLayoutAlgorithm(UndoSupport undoSupport) {
		super("grid3D", "3D Grid Layout", undoSupport);
	}

	@Override
	public TaskIterator createTaskIterator(
			CyNetworkView networkView,
			Object layoutContext, 
			Set<View<CyNode>> nodesToLayOut,
			String layoutAttribute) {
		
		return new TaskIterator(
				new GridLayoutAlgorithmTask(
						toString(), 
						networkView,
						nodesToLayOut,
						(GridLayoutContext) layoutContext,
						layoutAttribute,
						undoSupport
						));
	}
	
	@Override
	public GridLayoutContext createLayoutContext() {
		return new GridLayoutContext();
	}
}
