package org.cytoscape.paperwing.internal.layouts;

import java.util.Set;

import org.cytoscape.model.CyNode;
import org.cytoscape.view.layout.AbstractLayoutAlgorithm;
import org.cytoscape.view.model.CyNetworkView;
import org.cytoscape.view.model.View;
import org.cytoscape.work.TaskIterator;
import org.cytoscape.work.undo.UndoSupport;

public class SphericalLayoutAlgorithm extends AbstractLayoutAlgorithm {

	public SphericalLayoutAlgorithm(UndoSupport undoSupport) {
		super("spherical", "Spherical Layout", undoSupport);
	}

	@Override
	public TaskIterator createTaskIterator(
			CyNetworkView networkView,
			Object layoutContext, 
			Set<View<CyNode>> nodesToLayOut,
			String layoutAttribute) {
		
		return new TaskIterator(
				new SphericalLayoutAlgorithmTask(
						toString(), 
						networkView,
						nodesToLayOut,
						(SphericalLayoutContext) layoutContext,
						layoutAttribute,
						undoSupport
						));
	}
	
	@Override
	public SphericalLayoutContext createLayoutContext() {
		return new SphericalLayoutContext();
	}
}
